searchNodes=[{"doc":"Client for Sphinx Search, the search product built by the legendary Andrew Aksyonoff. Sphinx is a robust and FAST database indexer and search daemon that can process large amounts of concurrent through-put. Giza aims to make implementing Sphinx in your Elixir apps quick and simple. Check out the examples below for most use cases and dive deeper if need be through the docs. The github docs take an Elixir perspective approach. This doc here will get you up and running with Sphinx and Elixir. Example Let's integrate into a Phoenix App. Add Giza to dependencies (in mix.exs) def deps do [{:giza_sphinxsearch, &quot;~&gt; 1.0.1&quot;}, ... ] end Add Giza to your OTP tree in your application file at lib/yourapp/application.ex children = [ ..., supervisor(Giza.Application, []) ] Install sphinx or manticore. Option: Install from here https://manticoresearch.com/downloads/ Option: Install from here http://sphinxsearch.com/downloads/current/ Generate a config file. From your apps directory: # Config file will appear in sphinx/sphinx.conf mix giza.sphinx.config Run the index and start the search daemon mix giza.sphinx.index (Output shown: check for any issues in your indices!) mix.giza.sphinx.searchd Now you can use the examples below and throughout the documentation in your code! Example alias Giza.SphinxQL SphinxQL . new ( ) |&gt; SphinxQL . suggest ( &quot;posts_index&quot; , &quot;splt&quot; ) |&gt; SphinxQL . send ( ) % SphinxqlResponse { fields : [ &quot;suggest&quot; , &quot;distance&quot; , &quot;docs&quot; ] , matches : [ [ &quot;split&quot; , 1 , 5 ] ... ] } Example SphinxQL . new ( ) |&gt; SphinxQL . from ( &quot;posts, posts_recent&quot; ) |&gt; SphinxQL . match ( &quot;tengri&quot; ) |&gt; SphinxQL . send ( ) |&gt; Giza . get_doc_ids ( ) [ 1 , 4 , 6 , 12 , .. ] { :ok , %{ :total_found =&gt; last_query_total_found } = Giza.SphinxQL . meta ( ) 800 Example SphinxQL . new ( ) |&gt; SphinxQL . raw ( &quot;SELECT id, WEIGHT() as w FROM posts_index WHERE MATCH(&#39;subetei the swift&#39;)&quot; ) |&gt; SphinxQL . send ( ) % SphinxqlResponse { .. }","ref":"Giza.html","title":"Giza","type":"module"},{"doc":"Takes a giza result from a search and returns a list of the document id's Examples iex&gt; Giza . get_doc_ids ( giza_result ) { :ok , [ 1 , 5 , 6 , 7 ] , 4 }","ref":"Giza.html#get_doc_ids/1","title":"Giza.get_doc_ids/1","type":"function"},{"doc":"Take a sphinx protocol giza result from the erlang tcp implementation's tuple and return it as a map easier to navigate in Elixir. Examples iex&gt; Giza . result_tuple_to_map ( { :giza_query_result , ... } ) { :ok , %{ attrs : [ { &quot;title&quot; , 7 } , { &quot;body&quot; , 7 } ] , fields : [ &quot;title&quot; , &quot;body&quot; , &quot;tags&quot; ] , matches : [ { 171 , [ doc_id : 171 , weight : 2 , attrs : [ { &quot;title&quot; , 7 } , { &quot;body&quot; , 7 } ] ] } ] , { 190 , .. } ] , status : 0 , time : 0.008 , total : 19 , total_found : 19 , warnings : [ ] , words : [ { &quot;test&quot; , 19 , 23 } ] } }","ref":"Giza.html#result_tuple_to_map/1","title":"Giza.result_tuple_to_map/1","type":"function"},{"doc":"Query building helper functions for HTTP Sphinx API requests and responses. Add customizations such as limits and matches to a query. When Sphinx 3.x is released this library will become much more fleshed out; however in the meantime it should satisfy most production search needs.","ref":"Giza.Http.html","title":"Giza.Http","type":"module"},{"doc":"Returns an api query augmented with a table to select from. Currently in this first version of the api only one table can be selected from. Examples iex&gt; Giza.Http . new ( ) |&gt; Giza.Http . from ( &quot;posts&quot; )","ref":"Giza.Http.html#from/2","title":"Giza.Http.from/2","type":"function"},{"doc":"Returns an api query augmented with a limit for amount of returned documents. Note that Sphinx also allows for setting an internal limit in configuration. Only an integer is acceptable input. Examples iex&gt; Giza.Http . new ( ) |&gt; Giza.Http . limit ( 1 )","ref":"Giza.Http.html#limit/2","title":"Giza.Http.limit/2","type":"function"},{"doc":"Returns an api query augmented with a where clause which will be formated as a MATCH query, a common way of asking Sphinx for search matches. Examples iex&gt; Giza.Http . new ( ) |&gt; Giza.Http . match ( &quot;Subetei the Swift&quot; )","ref":"Giza.Http.html#match/2","title":"Giza.Http.match/2","type":"function"},{"doc":"Return a http api query structure with default values Examples iex&gt; Giza . http . new ( ) |&gt; ...","ref":"Giza.Http.html#new/0","title":"Giza.Http.new/0","type":"function"},{"doc":"Returns an api query augmented with a limit for amount of returned documents. Only an integer is acceptable input. This is normally used to support pagination. Examples iex&gt; Giza.Http . new ( ) |&gt; Giza.Http . offset ( 10 )","ref":"Giza.Http.html#offset/2","title":"Giza.Http.offset/2","type":"function"},{"doc":"Return an api query augmented with a select statement. Either a string (binary) or list of fields is acceptable input. Examples iex&gt; Giza.Http . new ( ) |&gt; Giza.Http . select ( [ &quot;title&quot; , &quot;body&quot; , &quot;id&quot; ] )","ref":"Giza.Http.html#select/2","title":"Giza.Http.select/2","type":"function"},{"doc":"","ref":"Giza.Http.html#send/1","title":"Giza.Http.send/1","type":"function"},{"doc":"Returns an api query augmented with a free form where clause. Usually not needed as other helpers will format most types of where queries. Examples iex&gt; Giza.Http . new ( ) |&gt; Giza.Http . where ( &quot;MATCH(&#39;tengri&#39;)&quot; )","ref":"Giza.Http.html#where/2","title":"Giza.Http.where/2","type":"function"},{"doc":"The Giza genserver worker. Handles result calling that can be supervised and handled upon any issue or crash. Note that multiple workers would be needed for concurrency. Avoid using this service if your requests are already concurrent and you don't want to set up multiple service workers, as Sphinx can handle many concurrent requests and bottlenecks should be avoided.","ref":"Giza.Service.html","title":"Giza.Service","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Giza.Service.html#child_spec/1","title":"Giza.Service.child_spec/1","type":"function"},{"doc":"GenServer.handle_call/3 callback Handle request to query via SphinxQL","ref":"Giza.Service.html#handle_call/3","title":"Giza.Service.handle_call/3","type":"function"},{"doc":"Send a query using the Sphinx HTTP API (Experimental)","ref":"Giza.Service.html#http_send/1","title":"Giza.Service.http_send/1","type":"function"},{"doc":"GenServer.init/1 callback Start http service and initialize sphinx with connection options that will be used in every query","ref":"Giza.Service.html#init/1","title":"Giza.Service.init/1","type":"function"},{"doc":"Send a query using the native sphinx protocol","ref":"Giza.Service.html#protocol_send/1","title":"Giza.Service.protocol_send/1","type":"function"},{"doc":"Send a query using SphinxQL (Recommended)","ref":"Giza.Service.html#sphinxql_send/1","title":"Giza.Service.sphinxql_send/1","type":"function"},{"doc":"","ref":"Giza.Service.html#start_link/1","title":"Giza.Service.start_link/1","type":"function"},{"doc":"Send query to Sphinx Daemon and return results syncronously using sphinx native protocol. Module could be removed/refactored soon.","ref":"Giza.SphinxProtocol.html","title":"Giza.SphinxProtocol","type":"module"},{"doc":"Return a new query with the configured host and port ## Examples iex&gt; Giza.SphinxProtocol.connection(query) {:giza_query, 'localhost', 9312, 0, 275, &quot;postsummary_fast_index postsummary_slow_index&quot; , 0 , 25 , 0 , 0 , 1000 , 0 , 0 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;test&quot; , [ ] , 0 , [ ] , [ ] , 0 }","ref":"Giza.SphinxProtocol.html#connection/1","title":"Giza.SphinxProtocol.connection/1","type":"function"},{"doc":"","ref":"Giza.SphinxProtocol.html#connection/3","title":"Giza.SphinxProtocol.connection/3","type":"function"},{"doc":"Assign weights on a per field basis. Should be a list of fields from the query source of the indexes of your query. This will affect the weight of your query and can tilt phrase matching in favor of results from favored sources. The example below weighs results from the title as 50% more valued than results from the body text. Keep in mind any fields not listed keep their default of 1. Examples iex&gt; Giza.SphinxProtocol . field_weights ( query , [ title : 3 , body : 2 ] ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 10 , 25 , 0 , 0 , 1000 , 0 , 4 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;searchforme&quot; , [ ] , 0 , [ ] , [ title : 3 , body : 2 ] , 0 }","ref":"Giza.SphinxProtocol.html#field_weights/2","title":"Giza.SphinxProtocol.field_weights/2","type":"function"},{"doc":"Use one of your sphinx attributes to filter results to exclude the values you pass. Examples sphinx . conf : source some_index : sql { ... sql_attr_uint = user_age ... } iex&gt; Giza.SphinxProtocol . filter_exclude ( query , &#39;user_age&#39; , [ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 ] ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 10 , 25 , 0 , 0 , 1000 , 0 , 4 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;searchforme&quot; , [ { :value , &#39;user_age&#39; , true , [ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 ] } ] , 0 , [ ] , [ ] , 0 } iex&gt; Giza.SphinxProtocol . filter_exclude ( query , &#39;user_age&#39; , 1 , 10 ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 10 , 25 , 0 , 0 , 1000 , 0 , 4 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;searchforme&quot; , [ { :range , &#39;user_age&#39; , true , { 1 , 10 } } ] , 0 , [ ] , [ ] , 0 }","ref":"Giza.SphinxProtocol.html#filter_exclude/3","title":"Giza.SphinxProtocol.filter_exclude/3","type":"function"},{"doc":"","ref":"Giza.SphinxProtocol.html#filter_exclude/4","title":"Giza.SphinxProtocol.filter_exclude/4","type":"function"},{"doc":"Use one of your sphinx attributes to filter results down to the values you pass. Examples sphinx . conf : source some_index : sql { ... sql_attr_uint = user_age ... } iex&gt; Giza.SphinxProtocol . filter_include ( query , &#39;user_age&#39; , [ 50 , 60 , 70 ] ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 10 , 25 , 0 , 0 , 1000 , 0 , 4 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;searchforme&quot; , [ { :value , &#39;user_age&#39; , false , [ 50 , 60 , 70 ] } ] , 0 , [ ] , [ ] , 0 } iex&gt; Giza.SphinxProtocol . filter_include ( query , &#39;user_age&#39; , 50 , 60 ] ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 10 , 25 , 0 , 0 , 1000 , 0 , 4 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;searchforme&quot; , [ { :range , &#39;user_age&#39; , false , { 50 , 60 } } ] , 0 , [ ] , [ ] , 0 }","ref":"Giza.SphinxProtocol.html#filter_include/3","title":"Giza.SphinxProtocol.filter_include/3","type":"function"},{"doc":"","ref":"Giza.SphinxProtocol.html#filter_include/4","title":"Giza.SphinxProtocol.filter_include/4","type":"function"},{"doc":"Utilize geo ability in a sphinx query. Examples iex&gt; Giza.SphinxProtocol . geo ( query , 0.659298124 , - 2.136602399 ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 10 , 25 , 0 , 0 , 1000 , 0 , 4 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;genghis khan&quot; , [ ] , { :deg , 0.659298124 , - 2.136602399 } , [ ] , [ ] , 0 }","ref":"Giza.SphinxProtocol.html#geo/3","title":"Giza.SphinxProtocol.geo/3","type":"function"},{"doc":"Allows clustering of results. Details on how this can be helpful (and it can!) are contained in the sphinx documentation: http://sphinxsearch.com/docs/current.html#clustering Clustering results are compatible with AVG, SUMS and such function calls you may be used to from SQL. Use SetSelect in conjunction with Group (not yet supported in this client). Default value is @group desc (simply return results in order of descending weight)","ref":"Giza.SphinxProtocol.html#group_by/2","title":"Giza.SphinxProtocol.group_by/2","type":"function"},{"doc":"Assign additional weight to be added to each of your index on the passed query. If you have results from index_a and index_b with weight results 2 and 3 and use the below example call, your document weight will be 2 30 + 3 80 = 300. Without weights sphinx would simple choose the latter index if the document is found in both indexes (3). This can be useful depending on how your data is partitioned or doing more complex searches from multiple sources. Examples iex&gt; Giza.SphinxProtocol . geo ( query , [ postsummary_fast_index : 30 , postsummary_slow_index : 80 ] ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 10 , 25 , 0 , 0 , 1000 , 0 , 4 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;searchforme&quot; , [ ] , 0 , [ postsummary_fast_index : 30 , postsummary_slow_index : 80 ] , [ ] , 0 }","ref":"Giza.SphinxProtocol.html#index_weights/2","title":"Giza.SphinxProtocol.index_weights/2","type":"function"},{"doc":"Retrun a query structure with a limit added. A sphinx limited query will return the amount of total matches but will limit the returned documents. This along with offset is commonly used for pagination ## Examples iex&gt; Giza.SphinxProtocol . limit ( query , 10 ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 0 , 10 , 0 , 0 , 1000 , 0 , 0 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;searchforme&quot; , [ ] , 0 , [ ] , [ ] , 0 }","ref":"Giza.SphinxProtocol.html#limit/2","title":"Giza.SphinxProtocol.limit/2","type":"function"},{"doc":"Return the maximum matches a query can return. Unlike limit, rather than page the returned results, it limits them before results are tabulated and returned and affects your total results count returned. Examples iex&gt; Giza.SphinxProtocol . max_matches ( query , 20 ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 10 , 25 , 0 , 0 , 20 , 0 , 0 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;searchforme&quot; , [ ] , 0 , [ ] , [ ] , 0 }","ref":"Giza.SphinxProtocol.html#max_matches/2","title":"Giza.SphinxProtocol.max_matches/2","type":"function"},{"doc":"Build a new default query against the passed index and phrase ## Examples iex&gt; Giza.SphinxProtocol.new('postsummary_fast_index postsummary_slow_index', 'baggy') {:giza_query, 'localhost', 9312, 0, 275, &quot;postsummary_fast_index postsummary_slow_index&quot; , 0 , 25 , 0 , 0 , 1000 , 0 , 0 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;test&quot; , [ ] , 0 , [ ] , [ ] , 0 }","ref":"Giza.SphinxProtocol.html#new/2","title":"Giza.SphinxProtocol.new/2","type":"function"},{"doc":"Return a query structure with a limit added. A sphinx limited query will return the amount of total matches but will limit the returned documents. This along with offset is commonly used for pagination ## Examples iex&gt; Giza.SphinxProtocol . limit ( query , 10 ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 10 , 25 , 0 , 0 , 1000 , 0 , 0 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;searchforme&quot; , [ ] , 0 , [ ] , [ ] , 0 }","ref":"Giza.SphinxProtocol.html#offset/2","title":"Giza.SphinxProtocol.offset/2","type":"function"},{"doc":"Create a query based on the supplied index(es) and search phrase. This is the easiest way to start building a query to Sphinx and supports piping to all Giza.Query's interface. Returns a tuple suitable for sending to Giza's erlang parser for speaking the sphinx native format. ## Examples iex&gt; Giza.query('postsummary_fast_index postsummary_slow_index', 'baggy') {:giza_query, 'localhost', 9312, 0, 275, &quot;postsummary_fast_index postsummary_slow_index&quot;, 0, 25, 0, 0, 1000, 0, 0, &quot;&quot;, &quot;&quot;, 0, &quot;@group desc&quot;, &quot;test&quot;, [], 0, [], [], 0}","ref":"Giza.SphinxProtocol.html#query/2","title":"Giza.SphinxProtocol.query/2","type":"function"},{"doc":"Return a query structure with the phrase string set. This is a wrapper to support all of giza_query.erl, so not recommended to use directly ## Examples iex&gt; Giza.SphinxProtocol . query_phrase ( query , &#39;searchforme&#39; ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 0 , 25 , 0 , 0 , 1000 , 0 , 0 , &quot;&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;searchforme&quot; , [ ] , 0 , [ ] , [ ] , 0 }","ref":"Giza.SphinxProtocol.html#query_phrase/2","title":"Giza.SphinxProtocol.query_phrase/2","type":"function"},{"doc":"Send a request to the configured sphinx daemon. The results will be parsed as a map for easy pattern matching on whatever parts of the result of interest. Words returns a tuple with the search phrase, the amount of documents found containing a hit, and the amount of total hits (well enough weighted match to return a result). ## Examples iex&gt; Giza.send(query) {:ok, %{ attrs : [ { &quot;title&quot; , 7 } , { &quot;body&quot; , 7 } ] , fields : [ &quot;title&quot; , &quot;body&quot; , &quot;tags&quot; ] , matches : [ { 171 , [ doc_id : 171 , weight : 2 , attrs : [ { &quot;title&quot; , 7 } , { &quot;body&quot; , 7 } ] ] } ] , { 190 , .. } ] , status : 0 , time : 0.008 , total : 19 , total_found : 19 , warnings : [ ] , words : [ { &quot;test&quot; , 19 , 23 } ] } }","ref":"Giza.SphinxProtocol.html#send/1","title":"Giza.SphinxProtocol.send/1","type":"function"},{"doc":"","ref":"Giza.SphinxProtocol.html#send!/1","title":"Giza.SphinxProtocol.send!/1","type":"function"},{"doc":"Automatically changes your sort mode to SPHINX_SORT_EXTENDED (default is SPHINX_SORT_RELEVANCE). Takes the given expression and uses that to rank results. http://sphinxsearch.com/docs/current.html#sort-extended. ## Examples iex&gt; Giza.SphinxProtocol . sort_extended ( query , &#39;@weight + (publicvotes + ln(userreputation)) * 0.1&#39; ) { :giza_query , &#39;localhost&#39; , 9312 , 0 , 275 , &quot;postsummary_fast_index postsummary_slow_index&quot; , 10 , 25 , 0 , 0 , 1000 , 0 , 4 , &quot;@weight + (publicvotes + ln(userreputation)) * 0.1&quot; , &quot;&quot; , 0 , &quot;@group desc&quot; , &quot;searchforme&quot; , [ ] , 0 , [ ] , [ ] , 0 }","ref":"Giza.SphinxProtocol.html#sort_extended/2","title":"Giza.SphinxProtocol.sort_extended/2","type":"function"},{"doc":"Query building helper functions for SphinxQL requests ( http://sphinxsearch.com/docs/devel.html#sphinxql-reference). This is the recommended way to query Sphinx (for client speed particularly) and will be the most supported style in Giza going forward. SphinxQL is very close to standard SQL with a few non-supported terms that wouldn't make sence in the search world and a few extras that only make sense in Sphinx's world. 100% of Sphinx' functionality is accessable through this method.","ref":"Giza.SphinxQL.html","title":"Giza.SphinxQL","type":"module"},{"doc":"Return a SphinxQL query augmented with a CALL statement. A string is acceptable input. Examples iex&gt; Giza.SphinxQL . new ( ) |&gt; Giza.SphinxQL . call ( &quot;QSUGGEST(&#39;subtei&#39;, &#39;posts_index&#39;)&quot; ) |&gt; Giza.SphinxQL . send ( )","ref":"Giza.SphinxQL.html#call/2","title":"Giza.SphinxQL.call/2","type":"function"},{"doc":"Returns a SphinxQL query augmented with an index to select from. Examples iex&gt; Giza.SphinxQL . new ( ) |&gt; Giza.SphinxQL . from ( &quot;posts&quot; )","ref":"Giza.SphinxQL.html#from/2","title":"Giza.SphinxQL.from/2","type":"function"},{"doc":"Returns an api query augmented with a limit for amount of returned documents. Note that Sphinx also allows for setting an internal limit in configuration. Only an integer is acceptable input. Examples iex&gt; Giza.SphinxQL . new ( ) |&gt; Giza.SphinxQL . limit ( 1 )","ref":"Giza.SphinxQL.html#limit/2","title":"Giza.SphinxQL.limit/2","type":"function"},{"doc":"Returns a SphinxQL query augmented with a where clause which will be formated as a MATCH query, a common way of asking Sphinx for search matches on a word or phrase (word bag) Examples iex&gt; Giza.SphinxQL . new ( ) |&gt; Giza.SphinxQL . match ( &quot;Subetei the Swift&quot; )","ref":"Giza.SphinxQL.html#match/2","title":"Giza.SphinxQL.match/2","type":"function"},{"doc":"Return meta information about the latest query on the current client. This is commonly used to retrieve the total returned in that query and the total available without limit. This information can be used for pagination http://sphinxsearch.com/docs/devel.html#sphinxql-show-meta Examples iex&gt; Giza.SphinxQL . meta ( ) { :ok , % SphinxqlMeta { &quot;total&quot; : 20 , &quot;total_found&quot; : 1000 , &quot;time&quot; : 0.0006 , ... }","ref":"Giza.SphinxQL.html#meta/0","title":"Giza.SphinxQL.meta/0","type":"function"},{"doc":"Return a http api query structure with default values Examples iex&gt; Giza.SphinxQL . new ( ) |&gt; ...","ref":"Giza.SphinxQL.html#new/0","title":"Giza.SphinxQL.new/0","type":"function"},{"doc":"Returns a SphinxQL query augmented with a limit for amount of returned documents. Only an integer is acceptable input. This is normally used to support pagination. Examples iex&gt; Giza.SphinxQL . new ( ) |&gt; Giza.SphinxQL . offset ( 10 )","ref":"Giza.SphinxQL.html#offset/2","title":"Giza.SphinxQL.offset/2","type":"function"},{"doc":"Returns a SphinxQL query with an option added such as used for the expression ranker Examples iex&gt; SphinxQL . new ( ) |&gt; SphinxQL . option ( &quot;ranker=expr(&#39;sum(lcs*user_weight)*1000+bm25&#39;))&quot; ) |&gt; SphinxQL . send ( ) % SphinxqlResponse { .. }","ref":"Giza.SphinxQL.html#option/2","title":"Giza.SphinxQL.option/2","type":"function"},{"doc":"Add an order by clause to return sorted by results. Sphinx accepts a max of 5 order by attributes and it's builtins are: @id ( match ID ) @weight ( match weight ) @rank ( match weight ) @relevance ( match weight ) @random ( return results in random order ) Examples iex&gt; SphinxQL . new ( ) |&gt; SphinxQL . order_by ( &quot;@relevance DESC, updated_at DESC&quot; ) |&gt; SphinxQL . send ( ) % SphinxqlResponse { .. }","ref":"Giza.SphinxQL.html#order_by/2","title":"Giza.SphinxQL.order_by/2","type":"function"},{"doc":"Return a SphinxQL query with it's raw field set allowing to run a custom client created query. Raw overrides other options such as select, where, etc. If you can't find functionality needed from the query helpers in this module, this is the best way to unlock the full feature set of sphinx. Examples iex&gt; Giza.SphinxQL . new ( ) |&gt; Giza.SphinxQL . raw ( &quot;SELECT id, WEIGHT() as w FROM posts_index WHERE MATCH(&#39;subetei the swift&#39;)&quot; )","ref":"Giza.SphinxQL.html#raw/2","title":"Giza.SphinxQL.raw/2","type":"function"},{"doc":"Return a SphinxQL query augmented with a select statement. Either a string (binary) or list of fields is acceptable input. Examples iex&gt; Giza.SphinxQL . new ( ) |&gt; Giza.SphinxQL . select ( [ &quot;id&quot; , &quot;WEIGHT() as w&quot; ] )","ref":"Giza.SphinxQL.html#select/2","title":"Giza.SphinxQL.select/2","type":"function"},{"doc":"Send a query to be executed after preprocessing of the SphinxqlQuery structure. Returns a tuple with :ok or :error and the error message if applicable. Examples iex&gt; Giza.SphinxQL . new ( ) |&gt; Giza.SphinxQL . raw ( &quot;SELECT id FROM test_index WHERE MATCH(&#39;great kahn&#39;)&quot; ) |&gt; Giza.SphinxQL . send ( )","ref":"Giza.SphinxQL.html#send/1","title":"Giza.SphinxQL.send/1","type":"function"},{"doc":"Shortcut helper function to form a suggestion query. Options can be passed to change the default limit and max edits (amount of levenstein distance acceptable, so 4 would mean 4 characters can be wrong) Examples iex&gt; Giza.SphinxQL . new ( ) |&gt; Giza.SphinxQL . suggest ( &quot;sbetei&quot; , &quot;posts_index&quot; , [ limit : 3 , max_edits : 4 ] )","ref":"Giza.SphinxQL.html#suggest/4","title":"Giza.SphinxQL.suggest/4","type":"function"},{"doc":"Returns a SphinxQL query with a where clause added. A string representing the whole where part of your query is the only accepted input. Often used for filtering as =/IN/etc map directly to attribute filters. Examples iex&gt; Giza.SphinxQL . new ( ) |&gt; Giza.SphinxQL . where ( &quot;MATCH(&#39;tengri&#39;) AND room = &#39;mongol lounge&#39;&quot; )","ref":"Giza.SphinxQL.html#where/2","title":"Giza.SphinxQL.where/2","type":"function"},{"doc":"Query building helper functions for SphinxQL designed in commonly useful ways. Provides guidance when trying to take advantage of advanced search functionality without having to know every nuance of sphinx' query language.","ref":"Giza.SphinxQL.Recipe.html","title":"Giza.SphinxQL.Recipe","type":"module"},{"doc":"Search on a string and add on as many filters as wanted. This can be used to add simple constraints to a search. Example # Show comments for a particular post only by a certain author iex&gt; SphinxQL . new ( ) |&gt; SphinxQL . from ( &quot;blog_comments&quot; ) |&gt; SphinxQL.Recipe . match_and_filter ( &quot;subetei&quot; , post_id : 45 , author : &quot;Khasar Borjigin&quot; ) |&gt; SphinxQL . send ( ) % SphinxqlResponse { .. }","ref":"Giza.SphinxQL.Recipe.html#match_and_filter/3","title":"Giza.SphinxQL.Recipe.match_and_filter/3","type":"function"},{"doc":"Influence your search results by how recently they were added or updated (or whatever the date field you pass represents). For the example below ensure you are selecting the date in your index as a unix timestamp (mysql: UNIX_TIMESTAMP(updated_timestamp), postgres: extract(epoch from updated_timestamp)). Example iex&gt; SphinxQL . new ( ) |&gt; SphinxQL . from ( &quot;blog_posts&quot; ) |&gt; SphinxQL . match ( &quot;red clown&quot; ) |&gt; SphinxQL.Recipe . weigh_by_date ( &quot;last_updated_timestamp&quot; ) |&gt; SphinxQL . send ( ) % SphinxqlResponse { .. }","ref":"Giza.SphinxQL.Recipe.html#weigh_by_date/2","title":"Giza.SphinxQL.Recipe.weigh_by_date/2","type":"function"},{"doc":"","ref":"Giza.Structs.HttpQuery.html","title":"Giza.Structs.HttpQuery","type":"module"},{"doc":"","ref":"Giza.Structs.HttpResponse.html","title":"Giza.Structs.HttpResponse","type":"module"},{"doc":"","ref":"Giza.Structs.SphinxqlMeta.html","title":"Giza.Structs.SphinxqlMeta","type":"module"},{"doc":"","ref":"Giza.Structs.SphinxqlQuery.html","title":"Giza.Structs.SphinxqlQuery","type":"module"},{"doc":"","ref":"Giza.Structs.SphinxqlResponse.html","title":"Giza.Structs.SphinxqlResponse","type":"module"},{"doc":"Generate a Sphinx Search Config file. Uses database credentials + sensible defaults. Please see Sphinx Docs for more information on your config options: http://sphinxsearch.com/docs/current.html#conf-reference","ref":"Mix.Tasks.Giza.Sphinx.Config.html","title":"Mix.Tasks.Giza.Sphinx.Config","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Giza.Sphinx.Config.html#run/1","title":"Mix.Tasks.Giza.Sphinx.Config.run/1","type":"function"},{"doc":"Append an index skeleton to your Sphinx Config. Very convenient! Example &gt; mix giza . sphinx . config . index blog_post Added index i_blog_post and source source_blog_post to Config at sphinx / sphinx . conf . Edit your SQL queries and attributes there and then run &#39;mix giza.sphinx.index rotate&#39; .","ref":"Mix.Tasks.Giza.Sphinx.Config.Index.html","title":"Mix.Tasks.Giza.Sphinx.Config.Index","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Giza.Sphinx.Config.Index.html#run/1","title":"Mix.Tasks.Giza.Sphinx.Config.Index.run/1","type":"function"},{"doc":"Mix shortcut to running the Sphinx Indexer to build an index against the data source. Options: Called without argument, indexer will run all indexes. If you want to re-run the indexes while searchd is running, use rotate as a first option and you will seamlessly rotate the new indexes in. You can also append options that will override all and index only specific indexes. Example &gt; mix giza . sphinx . index rotate &gt; mix giza . sphinx . index rotate blog_posts blog_authors &gt; mix giza . sphinx . index blog_posts","ref":"Mix.Tasks.Giza.Sphinx.Index.html","title":"Mix.Tasks.Giza.Sphinx.Index","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Giza.Sphinx.Index.html#run/1","title":"Mix.Tasks.Giza.Sphinx.Index.run/1","type":"function"},{"doc":"Mix shortcut to run a query directly against the locally running sphinx instance. Use MySQL syntax along with Sphinx specific commands while Sphinx search daemon is running. Examples &gt; mix giza . sphinx . query &quot;SELECT * FROM i_blog WHERE MATCH(&#39;swift messenger&#39;)&quot;","ref":"Mix.Tasks.Giza.Sphinx.Query.html","title":"Mix.Tasks.Giza.Sphinx.Query","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Giza.Sphinx.Query.html#run/1","title":"Mix.Tasks.Giza.Sphinx.Query.run/1","type":"function"},{"doc":"Mix shortcut to running the Sphinx Indexer to build an index against the data source","ref":"Mix.Tasks.Giza.Sphinx.Searchd.html","title":"Mix.Tasks.Giza.Sphinx.Searchd","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Giza.Sphinx.Searchd.html#run/1","title":"Mix.Tasks.Giza.Sphinx.Searchd.run/1","type":"function"}]